package io.renren.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 消费时段对象 consume_time_interval
 *
 * @author nichun
 * @date 2023-09-14
 */
public class ConsumeTimeInterval extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 开始时间 */
    private String startTime;

    /** 结束时间 */
    private String endTime;

    /** 刷卡方式 */
    private String useMode;

    /** 预留 */
    private String tmrtype;

    /** 预留 */
    private String mark;

    /** 卡级别 */
    private String level;

    /** 最大刷卡次数 */
    private String maxcount;

    /** 定额方式下要扣的金额 */
    private String fixmoney;

    /** 消费方式 */
    private String consumeType;

    /** 平台参数ID */
    private String paramId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStartTime(String startTime)
    {
        this.startTime = startTime;
    }

    public String getStartTime()
    {
        return startTime;
    }
    public void setEndTime(String endTime)
    {
        this.endTime = endTime;
    }

    public String getEndTime()
    {
        return endTime;
    }
    public void setUseMode(String useMode)
    {
        this.useMode = useMode;
    }

    public String getUseMode()
    {
        return useMode;
    }
    public void setTmrtype(String tmrtype)
    {
        this.tmrtype = tmrtype;
    }

    public String getTmrtype()
    {
        return tmrtype;
    }
    public void setMark(String mark)
    {
        this.mark = mark;
    }

    public String getMark()
    {
        return mark;
    }
    public void setLevel(String level)
    {
        this.level = level;
    }

    public String getLevel()
    {
        return level;
    }
    public void setMaxcount(String maxcount)
    {
        this.maxcount = maxcount;
    }

    public String getMaxcount()
    {
        return maxcount;
    }
    public void setFixmoney(String fixmoney)
    {
        this.fixmoney = fixmoney;
    }

    public String getFixmoney()
    {
        return fixmoney;
    }
    public void setConsumeType(String consumeType)
    {
        this.consumeType = consumeType;
    }

    public String getConsumeType()
    {
        return consumeType;
    }
    public void setParamId(String paramId)
    {
        this.paramId = paramId;
    }

    public String getParamId()
    {
        return paramId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("useMode", getUseMode())
            .append("tmrtype", getTmrtype())
            .append("mark", getMark())
            .append("level", getLevel())
            .append("maxcount", getMaxcount())
            .append("fixmoney", getFixmoney())
            .append("consumeType", getConsumeType())
            .append("paramId", getParamId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
